﻿using System;
using System.Linq;
using System.Windows.Controls;
using System.Windows.Input;

namespace SilverlightExample
{
	public partial class MainPage : UserControl
	{
		static Key pressedKey;

		public MainPage()
		{
			InitializeComponent();
		}

		private void treeView_ItemPrepared(object sender, Telerik.Windows.Controls.RadTreeViewItemPreparedEventArgs e)
		{
			e.PreparedItem.AddHandler(KeyDownEvent, new KeyEventHandler(this.treeView_KeyDown), true);
		}

		private void treeView_KeyDown(object sender, KeyEventArgs e)
		{
			pressedKey = e.Key;
		}

		private void treeView_PreviewExpanded(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			if (pressedKey == Key.Enter && treeView.IsEditing != true)
			{
				e.Handled = true;
			}
		}

		private void treeView_PreviewCollapsed(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			if (pressedKey == Key.Enter && treeView.IsEditing != true)
			{
				e.Handled = true;
			}
		}
	}
}
